;
;      c _ hex
;
;  Table giving list of C hex and octal characters,
;  and their corresponding internal values
;
;  AMENDMENT HISTORY
;  ~~~~~~~~~~~~~~~~~
;  03 Sep 94   DJW    - First version.  A number of library functions use
;                       this string, so it might as well be present only once.
;
;  07 Nov 94   DJW    - Added 8 and 9 to the Hex string - they had been
;                       omitted!    Problem reported by David Gilham.
;

    .text

    .globl  __C_hex
    .globl  __C_hex_a
    .globl  __C_oct
    .globl  __C_oct_a

__C_oct_a:
    dc.b    '0','1','2','3','4','5','6','7'
    dc.b    0                           ; NULL byte to teminate string

__C_hex_a:
    dc.b    '0','1','2','3','4','5','6','7','8','9'
    dc.b    'A','B','C','D','E','F'
    dc.b    'a','b','c','d','e','f'
    dc.b    0                           ; NULL byte to teminate string

__C_oct:
__C_hex:
    dc.b    0,1,2,3,4,5,6,7,8,9
    dc.b    10,11,12,13,14,15
    dc.b    10,11,12,13,14,15

