;
;   g e t u i d
;
;   Routine to simulate the various Unix calls to do with
;   processing the User and Group Id.  We act as if we are
;   always super-user.
;
; AMENDMENT HISTORY
; ~~~~~~~~~~~~~~~~~
;   07 Nov 93   DJW   - Added underscore to entry points
;
;   12 Nov 95   DJW   - Added seteuid() entry point.
;                     - Added setpgid() entry point.

    .text
    .even
    .globl _getuid
    .globl _geteuid
    .globl _getgid
    .globl _getegid
    .globl _setgid
    .globl _setpgid
    .globl _setuid
    .globl _seteuid

_getuid:
_geteuid:
_getgid:
_getegid:
_setgid:
_setpgid:
_setuid:
_seteuid:
    moveq   #0,d0
    rts

