/*
 *      s t r c c p y _ c
 *
 *  Unix compatible routine to copy a string compressing
 *  the C language escape sequences to the equivalent
 *  character.  A NULL byte is appended to the end.  The
 *  target area must be large enough to hold the result,
 *  but an area the same size as the source is guarteed
 *  to be large enough.
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  29 Aug 94   DJW   - First version
 */

#include <libgen.h>

char *  strccpy (char * output, const char * input)
{
    (void) strcadd(output, input);
    return (output);
}

